package com.hzya.frame.mdm.mdmModuleDb.dao.impl;

import com.hzya.frame.mdm.mdmModuleDb.entity.MdmModuleDbEntity;
import com.hzya.frame.mdm.mdmModuleDb.dao.IMdmModuleDbDao;
import org.springframework.stereotype.Repository;
import com.hzya.frame.basedao.dao.MybatisGenericDao;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 模版数据库表(MdmModuleDb)表数据库访问层
 *
 * @author makejava
 * @since 2024-06-03 08:46:50
 */
@Repository(value = "MdmModuleDbDaoImpl")
public class MdmModuleDbDaoImpl extends MybatisGenericDao<MdmModuleDbEntity, String> implements IMdmModuleDbDao{
    @Override
    public HashMap<String, Object> getServiceDataById(Map<String, Object> maps) {
        HashMap<String, Object> o = (HashMap<String, Object>) super.selectOne(getSqlIdPrifx() + "getServiceDataById", maps);
        return o;

    }

    @Override
    public List<HashMap<String, Object>> getServiceByFormmainId(Map<String, Object> maps) {
        List<HashMap<String, Object>> o = (List<HashMap<String, Object>>) super.selectList(getSqlIdPrifx() + "getServiceByFormmainId", maps);
        return o;

    }
    @Override
    public List<HashMap<String, Object>> getServiceByDistributeId(Map<String, Object> maps) {
        List<HashMap<String, Object>> o = (List<HashMap<String, Object>>) super.selectList(getSqlIdPrifx() + "getServiceByDistributeId", maps);
        return o;

    }

    @Override
    public int deleteMdmModuleDb(MdmModuleDbEntity entity) {
        Integer o = (Integer) super.delete(getSqlIdPrifx() + "deleteMdmModuleDb", entity);
        return o;
    }

}

